> # NAME

> tex2DARRAYsize - returns the size of a given texture array image for a given level of detail.

> # SYNOPSIS

>       int3 tex2DARRAYsize(sampler2DARRAY samp, int lod)
>       int3 tex2DARRAYsize(isampler2DARRAY samp, int lod)
>       int3 tex2DARRAYsize(usampler2DARRAY samp, int lod)

> # PARAMETERS

> samp

>   Sampler to be queried for size.

> lod

>   Level of detail to obtain size.

> # DESCRIPTION

> Given a sampler array and a level of detail the size of one element of the corresponding texture array for a given level of detail is returned as a result of the operation.

> # PROFILE SUPPORT

> tex2DARRAYsize is only supported in gp4 and newer profiles.

> # SEE ALSO

> tex2Dsize